<?php

namespace Ecommerce\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\ParameterBag;

class Itempedcol extends \Teknisa\Libs\Controller\CRUD
{
    protected $dataSourceName = 'itempedcol';
    protected $connection;
    protected $environment;
    
    public function __construct($crudService, ParameterBag $parameterBag, $connection, $environment) {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->con = $connection;
        $this->environment = $environment;
    }
    
    public function alterar (DTO\Request $request, DTO\Response $response) {
        $dataSets = $request->getDataSet()->getRows();
        $sql = "INSERT INTO HISTNEGOCIAPCOL (CDFILIAL, NRPEDIDOCOL, DTINIVALPCOL, DTFINVALPCOL, CDCOMPRADOR, DSOBSRENEGOCIA, CDPRODUTO, CDMARCA, VRUNITATUAL, VRPRECRENEG, VROBJATUAL, IDITPEDPRIONEG, DTOPERHISTPCOL, CDOPERRESP, DTINCLUSAO, NRORG) VALUES (:P_CDFILIAL, :P_NRPEDIDOCOL, :P_DTINIVALITM, :P_DTFINVALITM, :P_CDCOMPRADOR, :P_DSOBSRENEGOCIA, :P_CDPRODUTO, :P_CDMARCA, :P_PRUNITATUAL, :P_VRPRECRENEG, :P_PROBJATUAL, :IDITPEDPRIONEG, TO_CHAR(SYSDATE, 'DD/MM/YYYY HH24:MI:SS'), :CDOPERRESP, TO_CHAR(SYSDATE, 'DD/MM/YYYY HH24:MI:SS'), :NRORG)";
        $stmt = $this->con->prepare($sql);
        
        foreach($dataSets as $dataSet) {
            $stmt->execute(
                array(
                    "P_CDFILIAL"       => $dataSet['CDFILIAL'],
                    "P_NRPEDIDOCOL"    => $dataSet['NRPEDCOLETA'],
                    "P_DTINIVALITM"    => $dataSet['DTINIVALITM'],
                    "P_DTFINVALITM"    => $dataSet['DTFINVALITM'],
                    "P_CDCOMPRADOR"    => $dataSet['CDCOMPRADOR'],
                    "P_DSOBSRENEGOCIA" => $dataSet['DSOBSRENEGOCIA'],
                    "P_CDPRODUTO"      => $dataSet['CDPRODUTO'],
                    "P_CDMARCA"        => $dataSet['CDMARCA'],
                    "P_PRUNITATUAL"    => $dataSet['VRPRECUNIPRMARC'],
                    "P_VRPRECRENEG"    => $dataSet['VRPRECREN'],
                    "P_PROBJATUAL"     => $dataSet['PROBJATUAL'],
                    "IDITPEDPRIONEG"   => $dataSet['IDITPEDPRIONEG'],
                    "CDOPERRESP"       => $dataSet['CDCOMPRADOR'],
                    "NRORG"            => $this->environment->getNrOrgTrab()
                )
            );
        }
    }
    
    public function salvarValoresNaoAlterados (DTO\Request $request, DTO\Response $response) {
        $rows = $request->getDataSet()->getRows();
        $sql = "UPDATE ITEMPEDCOL SET IDITEMPEDCOLALT = :P_IDITEMPEDCOLALT WHERE CDFILIAL = :P_CDFILIAL AND CDFORNECED = :P_CDFORNECED AND CDREGIAO = :P_CDREGIAO AND  CDMARCA = :P_CDMARCA AND  CDPRODUTO = :P_CDPRODUTO AND  NRPEDCOLETA = :P_NRPEDCOLETA";
        $stmt = $this->con->prepare($sql);
        foreach($rows as $row) {
            $stmt->execute(
                array(
                    "P_CDFILIAL"        => $row['CDFILIAL'],
                    "P_CDFORNECED"      => $row['CDFORNECED'],
                    "P_CDMARCA"         => $row['CDMARCA'],
                    "P_CDPRODUTO"       => $row['CDPRODUTO'],
                    "P_CDREGIAO"        => $row['CDREGIAO'],
                    "P_NRPEDCOLETA"     => $row['NRPEDCOLETA'],
                    "P_IDITEMPEDCOLALT" => $row['IDITEMPEDCOLALT']
                )
            );
        }
    }
    
}