/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PERIENTR                                                 */
/* Tabela : PERIENTR                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 27/12/2002 - Graciele Cristina                                             */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PERIENTR
BEFORE INSERT OR UPDATE OR DELETE
ON PERIENTR FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPER := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUPER := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PERIENTR', '', 'CDPERIENTR='||:OLD.CDPERIENTR||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PERIENTR MODIFY DTULTATUPER DEFAULT SYSDATE
/
