BEGIN
   DECLARE
      V_COUNT NUMBER;
   BEGIN
      V_COUNT := 0;
      BEGIN
         SELECT COUNT(*)
           INTO V_COUNT
           FROM USER_SCHEDULER_JOBS
          WHERE JOB_NAME = 'RECALCULO_ORCAMENTO_FIN';
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_COUNT := 0;
      END;
      IF V_COUNT > 0 THEN
        DBMS_SCHEDULER.DROP_JOB(JOB_NAME => 'RECALCULO_ORCAMENTO_FIN');
      END IF;       
		DBMS_SCHEDULER.create_job (
			 job_name        => 'RECALCULO_ORCAMENTO_FIN',
			 job_type        => 'PLSQL_BLOCK',
			 job_action      => 'BEGIN RECALCULO_ORCAFIN(); END;',
			 start_date      => SYSDATE,
			 enabled         => TRUE,
			 repeat_interval => 'freq=daily; byhour=8,11,14,17,20; byminute=0; bysecond=0',
			 end_date        => NULL,
			 comments        => 'Job criado para realização do recálculo do orçamento financeiro de forma automática.'
		);   
   END;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('RECALCULO_ORCAMENTO_FIN','6.25.000'); END;
/